﻿using System;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public partial class Form1
{

    public Form1()
    {
        InitializeComponent();
        AfToolStripLabel1.MouseEnter += AfToolStripLabel1_MouseEnter;
        AfToolStripLabel1.MouseLeave += AfToolStripLabel1_MouseLeave;
        AfToolStripDropDownButton1.MouseEnter += AfToolStripDropDownButton1_MouseEnter;
        AfToolStripDropDownButton1.MouseLeave += AfToolStripDropDownButton1_MouseLeave;
        AfToolStripButton1.MouseEnter += AfToolStripButton1_MouseEnter;
        AfToolStripButton1.MouseLeave += AfToolStripButton1_MouseLeave;
        mnuOpenVideoPlayer.Click += mnuOpenVideoPlayer_Click;
        mnuOpenPaddleAndBallGame.Click += mnuOpenPaddleAndBallGame_Click;
        mnuExit.Click += mnuExit_Click;
    }

    private void AfToolStripLabel1_MouseEnter(object sender, System.EventArgs e)
    {
        Effect silhouette = (Effect)(this.AfToolStripLabel1.Canvas.RootLayer.Effects[0]);
        silhouette.Enabled = false;
        this.AfToolStripLabel1.RefreshImage();
    }

    private void AfToolStripLabel1_MouseLeave(object sender, System.EventArgs e)
    {
        Effect silhouette = (Effect)(this.AfToolStripLabel1.Canvas.RootLayer.Effects[0]);
        silhouette.Enabled = true;
        this.AfToolStripLabel1.RefreshImage();
    }

    private void AfToolStripDropDownButton1_MouseEnter(object sender, System.EventArgs e)
    {
        Effect shadow = (Effect)(this.AfToolStripDropDownButton1.Canvas.RootLayer.Effects[0]);
        shadow.Enabled = true;
        this.AfToolStripDropDownButton1.RefreshImage();
    }

    private void AfToolStripDropDownButton1_MouseLeave(object sender, System.EventArgs e)
    {
        Effect negative = (Effect)(this.AfToolStripDropDownButton1.Canvas.RootLayer.Effects[0]);
        negative.Enabled = false;
        this.AfToolStripDropDownButton1.RefreshImage();
    }

    private void AfToolStripButton1_MouseEnter(object sender, System.EventArgs e)
    {
        Effect colorAdjust = (Effect)(this.AfToolStripButton1.Canvas.RootLayer.Effects[0]);
        colorAdjust.Enabled = true;
        this.AfToolStripButton1.RefreshImage();
    }

    private void AfToolStripButton1_MouseLeave(object sender, System.EventArgs e)
    {
        Effect colorAdjust = (Effect)(this.AfToolStripButton1.Canvas.RootLayer.Effects[0]);
        colorAdjust.Enabled = false;
        this.AfToolStripButton1.RefreshImage();
    }

    private void mnuOpenVideoPlayer_Click(System.Object sender, System.EventArgs e)
    {
        using (VideoPlayerDemo UI = new VideoPlayerDemo())
        {
            UI.ShowDialog();
        }
    }

    private void mnuOpenPaddleAndBallGame_Click(System.Object sender, System.EventArgs e)
    {
        using (PaddleAndBall UI = new PaddleAndBall())
        {
            UI.ShowDialog();
        }
    }

    private void mnuExit_Click(System.Object sender, System.EventArgs e)
    {
        this.Close();
    }

}
