﻿Imports Dioada.ActiveFinish

Public Class AfCheckBox1
    Inherits Dioada.ActiveFinish.Controls.AFCheckBox

    Public Sub New()
        Me.InitializeComponent()
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Dim shadow = DirectCast(Me.Canvas.RootLayer.FindEffectByName("shadow", True, searchSubLayers:=True).Last, Effect)
        shadow.Enabled = True
        Me.RefreshImage()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Dim shadow = DirectCast(Me.Canvas.RootLayer.FindEffectByName("shadow", True, searchSubLayers:=True).Last, Effect)
        shadow.Enabled = False
        Me.RefreshImage()
    End Sub

    Private Sub InitializeComponent()
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim Layer1 As Dioada.ActiveFinish.Layer = New Dioada.ActiveFinish.Layer
        Dim EffectSet2 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim DropShadow1 As Dioada.ActiveFinish.Effects.DropShadow = New Dioada.ActiveFinish.Effects.DropShadow
        Dim ElementSet2 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AfCheckBox1))
        Me.SuspendLayout()
        '
        'AfCheckBox1
        '
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BorderRadius = 18.0!
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(CType(CType(50, Byte), Integer), CType(CType(192, Byte), Integer), CType(CType(192, Byte), Integer), CType(CType(0, Byte), Integer))
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(CType(CType(50, Byte), Integer), CType(CType(64, Byte), Integer), CType(CType(64, Byte), Integer), CType(CType(0, Byte), Integer))
        DropShadow1.Enabled = False
        DropShadow1.Name = "shadow"
        DropShadow1.OffsetX = 0.044!
        DropShadow1.OffsetY = 0.018!
        EffectSet2.Effects.AddRange(New Dioada.ActiveFinish.Effect() {DropShadow1})
        Layer1.EffectSet = EffectSet2
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.0!, 0.05479452!)
        ImagePlugin1.Size = New System.Drawing.SizeF(0.8533334!, 0.8767123!)
        ImagePlugin1.Source.Image = CType(resources.GetObject("resource.Image"), System.Drawing.Image)
        ElementSet2.Elements.AddRange(New Dioada.ActiveFinish.Element() {ImagePlugin1})
        Layer1.ElementSet = ElementSet2
        Layer1.Size = New System.Drawing.SizeF(0.5208333!, 1.0!)
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, Layer1})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(164, 83)
        Me.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        Me.UseVisualStyleBackColor = True
        Me.ResumeLayout(False)

    End Sub

End Class
