﻿Public Class AfLabel1
    Inherits Dioada.ActiveFinish.Controls.AFLabel

    Public Sub New()
        Me.InitializeComponent()
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnClick(ByVal e As System.EventArgs)
        Me.Width -= 5
        MyBase.OnClick(e)
    End Sub

    Private Sub InitializeComponent()
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim DropShadow1 As Dioada.ActiveFinish.Effects.DropShadow = New Dioada.ActiveFinish.Effects.DropShadow
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim TextGDIPlus1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim TextGDIPlus2 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Me.SuspendLayout()
        '
        'AfLabel1
        '
        DropShadow1.OffsetX = 0.014!
        DropShadow1.OffsetY = 0.021!
        EffectSet1.Effects.AddRange(New Dioada.ActiveFinish.Effect() {DropShadow1})
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.Yellow
        LinearGradientRectangle1.Size = New System.Drawing.SizeF(0.9266667!, 0.925!)
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.Olive
        TextGDIPlus1.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus1.AutoSize = False
        TextGDIPlus1.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus1.Location = New Dioada.Drawing.SngPoint(-0.005555556!, 0.0!)
        TextGDIPlus1.Size = New System.Drawing.SizeF(0.92!, 0.2666667!)
        TextGDIPlus1.Text = "Vectorized Text Element"
        TextGDIPlus2.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus2.AutoSize = False
        TextGDIPlus2.ForeColor = System.Drawing.Color.Maroon
        TextGDIPlus2.Location = New Dioada.Drawing.SngPoint(0.06666667!, 0.20625!)
        TextGDIPlus2.Size = New System.Drawing.SizeF(0.7888889!, 0.675!)
        TextGDIPlus2.Text = "Because the text element is vectorized, the size will remain the same, and re-ali" & _
            "gn, as the control is resized." & Global.Microsoft.VisualBasic.ChrW(13) & Global.Microsoft.VisualBasic.ChrW(10) & "Click me to reduce the size."
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, TextGDIPlus1, TextGDIPlus2})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Size = New System.Drawing.Size(180, 160)
        Me.ResumeLayout(False)

    End Sub

End Class
