﻿Public Class AfLabel2
    Inherits Dioada.ActiveFinish.Controls.AFLabel

    Public Sub New()
        Me.InitializeComponent()
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnClick(ByVal e As System.EventArgs)
        Me.Width -= 5
        MyBase.OnClick(e)
    End Sub

    Private Sub InitializeComponent()
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim DropShadow1 As Dioada.ActiveFinish.Effects.DropShadow = New Dioada.ActiveFinish.Effects.DropShadow
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim TextGDIPlus1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim TextGDIPlus2 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Me.SuspendLayout()
        '
        'AfLabel2
        '
        DropShadow1.OffsetX = 0.014!
        DropShadow1.OffsetY = 0.021!
        EffectSet1.Effects.AddRange(New Dioada.ActiveFinish.Effect() {DropShadow1})
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.Ivory
        LinearGradientRectangle1.Size = New System.Drawing.SizeF(0.9266667!, 0.925!)
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.RoyalBlue
        TextGDIPlus1.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus1.AutoSize = False
        TextGDIPlus1.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus1.Location = New Dioada.Drawing.SngPoint(0.006666667!, 0.025!)
        TextGDIPlus1.Size = New System.Drawing.SizeF(0.92!, 0.2666667!)
        TextGDIPlus1.Text = "Rasterized Text Element"
        TextGDIPlus2.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus2.AutoSize = False
        TextGDIPlus2.ForeColor = System.Drawing.Color.FromArgb(CType(CType(64, Byte), Integer), CType(CType(64, Byte), Integer), CType(CType(0, Byte), Integer))
        TextGDIPlus2.Location = New Dioada.Drawing.SngPoint(0.08!, 0.2642857!)
        TextGDIPlus2.Size = New System.Drawing.SizeF(0.7866667!, 0.6071429!)
        TextGDIPlus2.Text = "Because the text element is rasterized, the text will stretch as the control is r" & _
            "esized. Click me to reduce the size."
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, TextGDIPlus1, TextGDIPlus2})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SizeWhenRasterized = New System.Drawing.Size(150, 140)
        Me.Size = New System.Drawing.Size(150, 140)
        Me.ResumeLayout(False)

    End Sub

End Class
