﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfLabel1 : Dioada.ActiveFinish.Controls.AFLabel
{

    public AfLabel1()
    {
        this.InitializeComponent();
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnClick(System.EventArgs e)
    {
        this.Width -= 5;
        base.OnClick(e);
    }

    private void InitializeComponent()
    {
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.DropShadow dropShadow1 = new Dioada.ActiveFinish.Effects.DropShadow();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.TextGDIPlus alignableText1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.TextGDIPlus alignableText2 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        this.SuspendLayout();
        // 
        // AfLabel1
        // 
        dropShadow1.OffsetX = 0.014F;
        dropShadow1.OffsetY = 0.021F;
        effectSet1.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            dropShadow1});
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.Yellow;
        linearGradientRectangle1.Size = new System.Drawing.SizeF(0.9266667F, 0.925F);
        linearGradientRectangle1.BackColor2 = System.Drawing.Color.Olive;
        alignableText1.AutoSize = false;
        alignableText1.Alignment = ContentAlignment.MiddleCenter;
        alignableText1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        alignableText1.Location = new Dioada.Drawing.SngPoint(0.006666667F, 0.025F);
        alignableText1.Size = new System.Drawing.SizeF(0.92F, 0.2666667F);
        alignableText1.Text = "Vectorized Text Element";
        alignableText2.AutoSize = false;
        alignableText2.Alignment = ContentAlignment.MiddleCenter;
        alignableText2.ForeColor = System.Drawing.Color.Maroon;
        alignableText2.Location = new Dioada.Drawing.SngPoint(0.06666667F, 0.25F);
        alignableText2.Size = new System.Drawing.SizeF(0.7888889F, 0.6444445F);
        alignableText2.Text = "Because the text element is vectorized, the size will remain the same, and re-ali" +
            "gn, as the control is resized.\r\nClick me to reduce the size.";
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            alignableText1,
            alignableText2});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Size = new System.Drawing.Size(180, 160);
        this.ResumeLayout(false);

    }

}
