﻿Imports Dioada.ActiveFinish

Public Class AfFlatButton3
    Inherits Dioada.ActiveFinish.Controls.AFFlatButton

    Public Sub New()
        Me.InitializeComponent()
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Private _Cover As Elements.GlassCover
    Private ReadOnly Property Cover() As Elements.GlassCover
        Get
            If Me._Cover Is Nothing Then
                Me._Cover = DirectCast(Me.Canvas.RootLayer.FindFirstElementByType(GetType(Elements.GlassCover), True).Last, Elements.GlassCover)
            End If
            Return Me._Cover
        End Get
    End Property

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Me.Cover.InvokeMouseEnterEffect()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Cover.InvokeMouseLeaveEffect()
    End Sub

    Protected Overrides Sub OnMouseDown(ByVal mevent As System.Windows.Forms.MouseEventArgs)
        MyBase.OnMouseDown(mevent)
        Me.Cover.InvokeMouseDownEffect()
    End Sub

    Protected Overrides Sub OnMouseUp(ByVal mevent As System.Windows.Forms.MouseEventArgs)
        MyBase.OnMouseUp(mevent)
        Me.Cover.InvokeMouseUpEffect()
    End Sub

    Private Sub InitializeComponent()
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim AlignableText1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AfFlatButton3))
        Dim GlassCover1 As Dioada.ActiveFinish.Elements.GlassCover = New Dioada.ActiveFinish.Elements.GlassCover
        Me.SuspendLayout()
        '
        'AfFlatButton3
        '
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.InnerBorderColor = System.Drawing.Color.FromArgb(CType(CType(0, Byte), Integer), CType(CType(0, Byte), Integer), CType(CType(0, Byte), Integer), CType(CType(0, Byte), Integer))
        LinearGradientRectangle1.BorderWidth = 0
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(CType(CType(255, Byte), Integer), CType(CType(255, Byte), Integer), CType(CType(192, Byte), Integer))
        LinearGradientRectangle1.BackColorAngle = 8.0!
        LinearGradientRectangle1.Location = New Dioada.Drawing.SngPoint(0.006666667!, 0.01!)
        LinearGradientRectangle1.Size = New System.Drawing.SizeF(0.9866667!, 0.98!)
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(CType(CType(192, Byte), Integer), CType(CType(255, Byte), Integer), CType(CType(192, Byte), Integer))
        AlignableText1.AutoSize = False
        AlignableText1.Font = New System.Drawing.Font("Tahoma", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        AlignableText1.ForeColor = System.Drawing.Color.Black
        AlignableText1.Alignment = ContentAlignment.MiddleRight
        AlignableText1.Location = New Dioada.Drawing.SngPoint(0.04!, 0.12!)
        AlignableText1.Size = New System.Drawing.SizeF(0.6933333!, 0.82!)
        AlignableText1.Text = "The GlassCover element has built in effects that can be invoked during mouse even" & _
            "ts."
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.7733333!, 0.64!)
        ImagePlugin1.Size = New System.Drawing.SizeF(0.2133333!, 0.32!)
        ImagePlugin1.Source.Image = CType(resources.GetObject("resource.Image"), System.Drawing.Image)
        GlassCover1.HoverColor = System.Drawing.Color.FromArgb(CType(CType(255, Byte), Integer), CType(CType(128, Byte), Integer), CType(CType(0, Byte), Integer))
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, AlignableText1, ImagePlugin1, GlassCover1})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(150, 100)
        Me.ResumeLayout(False)

    End Sub

End Class
