﻿Imports Dioada.ActiveFinish

Public Class AfPictureBox1
    Inherits Dioada.ActiveFinish.Controls.AFPictureBox

    Private components As System.ComponentModel.IContainer
    Friend WithEvents Timer1 As System.Windows.Forms.Timer
    Dim savPoint As Point

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.Timer1.Tick, AddressOf Timer1_Tick
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Me.Timer1.Start()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Timer1.Stop()
    End Sub

    Protected Overrides Sub OnClick(ByVal e As System.EventArgs)
        MyBase.OnClick(e)
        Dim plugin = Me.Canvas.RootLayer.Effects(0)
        plugin.Enabled = Not plugin.Enabled
        Me.RefreshImage()
    End Sub

    Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As EventArgs)
        Dim pos = Me.PointToClient(MousePosition)
        If pos <> savPoint Then
            savPoint = pos
            Dim w = Me.Width
            Dim h = Me.Height
            Dim x As Single = CSng((pos.X - w / 2) / w) * 2
            Dim y As Single = CSng((pos.Y - h / 2) / h) * 2
            Dim light As Effects.SpotLight = DirectCast(Me.Canvas.RootLayer.Effects(0), Effects.SpotLight)
            light.FocalPoint = New Dioada.Drawing.SngPoint(x, y)
            Me.RefreshImage()
        End If
      End Sub

    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim SpotLight1 As Dioada.ActiveFinish.Effects.SpotLight = New Dioada.ActiveFinish.Effects.SpotLight
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim TextGDIPlus1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim TextGDIPlus2 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AfPictureBox1))
        Dim ImagePlugin2 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim ImagePlugin3 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim ImagePlugin4 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim ImagePlugin5 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim Layer1 As Dioada.ActiveFinish.Layer = New Dioada.ActiveFinish.Layer
        Dim EffectSet2 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ColorAdjustment1 As Dioada.ActiveFinish.Effects.ColorAdjustment = New Dioada.ActiveFinish.Effects.ColorAdjustment
        Dim DropShadow1 As Dioada.ActiveFinish.Effects.DropShadow = New Dioada.ActiveFinish.Effects.DropShadow
        Dim Negative1 As Dioada.ActiveFinish.Effects.Negative = New Dioada.ActiveFinish.Effects.Negative
        Dim ElementSet2 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle2 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim ImagePlugin6 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim TextGDIPlus3 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim TextGDIPlus4 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim GlassCover1 As Dioada.ActiveFinish.Elements.GlassCover = New Dioada.ActiveFinish.Elements.GlassCover
        Dim LinearGradientEllipse1 As Dioada.ActiveFinish.Elements.LinearGradientEllipse = New Dioada.ActiveFinish.Elements.LinearGradientEllipse
        Dim TextGDIPlus5 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim TextGDIPlus6 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        CType(Me, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'Timer1
        '
        Me.Timer1.Interval = 1
        '
        'AfPictureBox1
        '
        SpotLight1.Enabled = False
        EffectSet1.Effects.AddRange(New Dioada.ActiveFinish.Effect() {SpotLight1})
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(CType(CType(255, Byte), Integer), CType(CType(128, Byte), Integer), CType(CType(0, Byte), Integer))
        LinearGradientRectangle1.BorderRadius = 27.0!
        TextGDIPlus1.AutoSize = False
        TextGDIPlus1.Font = New System.Drawing.Font("Trebuchet MS", 9.75!)
        TextGDIPlus1.Location = New Dioada.Drawing.SngPoint(0.2506024!, 0.0521978!)
        TextGDIPlus1.Name = "top_text"
        TextGDIPlus1.Size = New System.Drawing.SizeF(0.6602409!, 0.1126374!)
        TextGDIPlus1.Text = "An ActiveFinish control can contain as many Elements as you wish..."
        TextGDIPlus2.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus2.Angle = 346.0!
        TextGDIPlus2.AutoSize = False
        TextGDIPlus2.Font = New System.Drawing.Font("Trebuchet MS", 11.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus2.ForeColor = System.Drawing.Color.Red
        TextGDIPlus2.Location = New Dioada.Drawing.SngPoint(0.06265061!, 0.2692308!)
        TextGDIPlus2.Name = "rotated_text"
        TextGDIPlus2.RenderingMode = System.Drawing.Text.TextRenderingHint.AntiAlias
        TextGDIPlus2.Size = New System.Drawing.SizeF(0.4333333!, 0.18!)
        TextGDIPlus2.Text = "Each element can be individually rotated and sized..."
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.1060241!, 0.04945055!)
        ImagePlugin1.Name = "arrow_right1"
        ImagePlugin1.Size = New System.Drawing.SizeF(0.1156626!, 0.1318681!)
        ImagePlugin1.Source.Image = CType(resources.GetObject("resource.Image"), System.Drawing.Image)
        ImagePlugin2.Angle = 180.0!
        ImagePlugin2.Location = New Dioada.Drawing.SngPoint(0.4024096!, 0.6346154!)
        ImagePlugin2.Name = "arrow_right2"
        ImagePlugin2.Size = New System.Drawing.SizeF(0.1060241!, 0.06318682!)
        ImagePlugin2.Source.Image = CType(resources.GetObject("resource.Image1"), System.Drawing.Image)
        ImagePlugin3.Angle = 30.0!
        ImagePlugin3.Location = New Dioada.Drawing.SngPoint(0.3927711!, 0.3763736!)
        ImagePlugin3.Name = "arrow_right3"
        ImagePlugin3.Size = New System.Drawing.SizeF(0.1036145!, 0.06318682!)
        ImagePlugin3.Source.Image = CType(resources.GetObject("resource.Image2"), System.Drawing.Image)
        ImagePlugin4.Angle = 114.0!
        ImagePlugin4.Location = New Dioada.Drawing.SngPoint(0.226506!, 0.1840659!)
        ImagePlugin4.Name = "arrow_right4"
        ImagePlugin4.Size = New System.Drawing.SizeF(0.1036145!, 0.06318682!)
        ImagePlugin4.Source.Image = CType(resources.GetObject("resource.Image3"), System.Drawing.Image)
        ImagePlugin5.Angle = 30.0!
        ImagePlugin5.Location = New Dioada.Drawing.SngPoint(0.1445783!, 0.8489011!)
        ImagePlugin5.Name = "arrow_right5"
        ImagePlugin5.Size = New System.Drawing.SizeF(0.1036145!, 0.06318682!)
        ImagePlugin5.Source.Image = CType(resources.GetObject("resource.Image4"), System.Drawing.Image)
        Layer1.Angle = 45.0!
        EffectSet2.Effects.AddRange(New Dioada.ActiveFinish.Effect() {ColorAdjustment1, DropShadow1, Negative1})
        Layer1.EffectSet = EffectSet2
        LinearGradientRectangle2.BorderRadius = 27.0!
        ImagePlugin6.Location = New Dioada.Drawing.SngPoint(0.03149606!, 0.04237288!)
        ImagePlugin6.Size = New System.Drawing.SizeF(0.2519685!, 0.2711864!)
        ImagePlugin6.Source.Image = CType(resources.GetObject("resource.Image5"), System.Drawing.Image)
        TextGDIPlus3.AutoSize = False
        TextGDIPlus3.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus3.Location = New Dioada.Drawing.SngPoint(0.2992126!, 0.03389831!)
        TextGDIPlus3.Name = "top_right_text"
        TextGDIPlus3.Size = New System.Drawing.SizeF(0.6692913!, 0.4237288!)
        TextGDIPlus3.Text = "... Or grouped with other elements in a Layer ..."
        TextGDIPlus4.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus4.AutoSize = False
        TextGDIPlus4.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus4.ForeColor = System.Drawing.Color.Blue
        TextGDIPlus4.Location = New Dioada.Drawing.SngPoint(0.05511811!, 0.5!)
        TextGDIPlus4.Name = "top_right_text_other"
        TextGDIPlus4.Size = New System.Drawing.SizeF(0.6692913!, 0.4237288!)
        TextGDIPlus4.Text = "... then rotated, scaled and rendered with effects."
        GlassCover1.Location = New Dioada.Drawing.SngPoint(0.03937008!, 0.4661017!)
        GlassCover1.Size = New System.Drawing.SizeF(0.6850393!, 0.4830509!)
        LinearGradientEllipse1.Angle = 89.0!
        LinearGradientEllipse1.BackColor1 = System.Drawing.Color.SteelBlue
        LinearGradientEllipse1.BackColor2 = System.Drawing.Color.FromArgb(CType(CType(255, Byte), Integer), CType(CType(255, Byte), Integer), CType(CType(192, Byte), Integer))
        LinearGradientEllipse1.BorderWidth = 0
        LinearGradientEllipse1.Location = New Dioada.Drawing.SngPoint(0.7322835!, 0.6864407!)
        LinearGradientEllipse1.Size = New System.Drawing.SizeF(0.2598425!, 0.2372881!)
        ElementSet2.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle2, ImagePlugin6, TextGDIPlus3, TextGDIPlus4, GlassCover1, LinearGradientEllipse1})
        Layer1.ElementSet = ElementSet2
        Layer1.Location = New Dioada.Drawing.SngPoint(0.5012048!, 0.3461539!)
        Layer1.Size = New System.Drawing.SizeF(0.4233333!, 0.3933333!)
        TextGDIPlus5.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus5.AutoSize = False
        TextGDIPlus5.Font = New System.Drawing.Font("Trebuchet MS", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus5.ForeColor = System.Drawing.Color.Black
        TextGDIPlus5.Location = New Dioada.Drawing.SngPoint(0.02168675!, 0.5137362!)
        TextGDIPlus5.Name = "left_text"
        TextGDIPlus5.Size = New System.Drawing.SizeF(0.3710843!, 0.2994505!)
        TextGDIPlus5.Text = "All Layers and Elements on a control are, themselves, contained in a root layer." & Global.Microsoft.VisualBasic.ChrW(13) & Global.Microsoft.VisualBasic.ChrW(10) & "Click me to apply a global effect..."
        TextGDIPlus6.AutoSize = False
        TextGDIPlus6.Font = New System.Drawing.Font("Verdana", 9.75!, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus6.ForeColor = System.Drawing.Color.RoyalBlue
        TextGDIPlus6.Location = New Dioada.Drawing.SngPoint(0.2819277!, 0.8406593!)
        TextGDIPlus6.Name = "bottom_text"
        TextGDIPlus6.Size = New System.Drawing.SizeF(0.7180723!, 0.1593407!)
        TextGDIPlus6.Text = "... and because each element is an object, anything you can do at design-time can" & _
            " also be done at run-time."
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, TextGDIPlus1, TextGDIPlus2, ImagePlugin1, ImagePlugin2, ImagePlugin3, ImagePlugin4, ImagePlugin5, Layer1, TextGDIPlus5, TextGDIPlus6})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(415, 364)
        CType(Me, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub
End Class
