﻿Imports Dioada.ActiveFinish

Public Class AfRadioButton1
    Inherits Dioada.ActiveFinish.Controls.AFRadioButton

    Private components As System.ComponentModel.IContainer
    Friend Timer1 As System.Windows.Forms.Timer

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Timer1.Tick, AddressOf Timer_Tick
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Me.Timer1.Tag = -1
        Me.Timer1.Start()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Timer1.Tag = 1
        Me.Timer1.Start()
    End Sub

    Private Sub Timer_Tick(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim rootLayer = Me.Canvas.RootLayer

        Dim light = DirectCast(rootLayer.Effects(0), Effects.SpotLight)
        Dim off = light.FocalPoint
        Dim i = CInt(Me.Timer1.Tag)
        off.X += 0.1! * i
        off.Y += 0.1! * -i

        If off.X <= 1.0! Then
            off = New Dioada.Drawing.SngPoint(1.0!, -1.0!)
            Me.Timer1.Stop()
        ElseIf off.X >= 4.0! Then
            off = New Dioada.Drawing.SngPoint(4.0!, -4.0!)
            Me.Timer1.Stop()
        End If

        light.FocalPoint = off

        Me.RefreshImage()
    End Sub

    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim SpotLight1 As Dioada.ActiveFinish.Effects.SpotLight = New Dioada.ActiveFinish.Effects.SpotLight
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AfRadioButton1))
        Dim Layer1 As Dioada.ActiveFinish.Layer = New Dioada.ActiveFinish.Layer
        Dim EffectSet2 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim DropShadow1 As Dioada.ActiveFinish.Effects.DropShadow = New Dioada.ActiveFinish.Effects.DropShadow
        Dim ElementSet2 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim TextGDIPlus1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.SuspendLayout()
        '
        'Timer1
        '
        Me.Timer1.Interval = 1
        '
        'AfRadioButton1
        '
        SpotLight1.FocalPoint = New Dioada.Drawing.SngPoint(4.0!, -4.0!)
        SpotLight1.Name = "spotlight"
        EffectSet1.Effects.AddRange(New Dioada.ActiveFinish.Effect() {SpotLight1})
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BorderRadius = 12.0!
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.White
        LinearGradientRectangle1.BackColorAngle = 360.0!
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(CType(CType(255, Byte), Integer), CType(CType(128, Byte), Integer), CType(CType(0, Byte), Integer))
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.6096257!, 0.1097561!)
        ImagePlugin1.Size = New System.Drawing.SizeF(0.342246!, 0.7804878!)
        ImagePlugin1.Source.Image = CType(resources.GetObject("resource.Image"), System.Drawing.Image)
        DropShadow1.Opacity = 0.9!
        EffectSet2.Effects.AddRange(New Dioada.ActiveFinish.Effect() {DropShadow1})
        Layer1.EffectSet = EffectSet2
        TextGDIPlus1.AutoSize = False
        TextGDIPlus1.Font = New System.Drawing.Font("Tahoma", 12.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus1.ForeColor = System.Drawing.Color.White
        TextGDIPlus1.Location = New Dioada.Drawing.SngPoint(0.171123!, 0.1951219!)
        TextGDIPlus1.Name = "text"
        TextGDIPlus1.RenderingMode = System.Drawing.Text.TextRenderingHint.AntiAlias
        TextGDIPlus1.Size = New System.Drawing.SizeF(0.4438503!, 0.6219512!)
        TextGDIPlus1.Text = "Lighting Effect"
        ElementSet2.Elements.AddRange(New Dioada.ActiveFinish.Element() {TextGDIPlus1})
        Layer1.ElementSet = ElementSet2
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, ImagePlugin1, Layer1})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(208, 91)
        Me.UseVisualStyleBackColor = True
        Me.ResumeLayout(False)

    End Sub

End Class
